package com.lantone.qc.kernel.analysis;

import com.lantone.qc.kernel.client.CRFServiceClient;
import com.lantone.qc.kernel.structure.ai.AIAnalyze;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.kernel.util.RedisUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.TransDispatch;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName : QCAnalysis
 * @Description : 质控业务处理总入口
 * @Author : 楼辉荣
 * @Date: 2020-03-04 11:48
 */
@Component
public class QCAnalysis {
    @Autowired
    CRFServiceClient crfServiceClient;

    @Autowired
    private RedisUtil redisUtil;

    public OutputInfo anlysis(QueryVo queryVo) {
        OutputInfo outputInfo = new OutputInfo();
        InputInfo inputInfo = TransDispatch.trans(queryVo);
        inputInfo.setInputCatalogueMap(queryVo.getInputCatalogueMap());
        AIAnalyze AIAnalyze = new AIAnalyze(crfServiceClient);
        AIAnalyze.AIprocess(inputInfo);
        for (Map.Entry<String, Map<String, String>> entry : inputInfo.getInputCatalogueMap().entrySet()) {
            CatalogueUtil.qcCatalogueMap.get(entry.getKey()).execute(inputInfo,outputInfo);
        }
        return outputInfo;
    }
}