package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Clinical;
import com.lantone.qc.pub.model.entity.PD;
import com.lantone.qc.pub.model.label.ChiefLabel;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;


/**
 * @ClassName : BEH0006
 * @Description :主诉症状缺少近期事件描述
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0006 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {

        ChiefLabel chiefLabel = inputInfo.getBeHospitalizedDoc().getChiefLabel();
        String chief_text = chiefLabel.getText();
        if(chief_text.contains("年")){
            List<Clinical> clinicals = chiefLabel.getClinicals();
            if(clinicals.size()>0){
                List<String> unitList = new ArrayList<>();
                for (Clinical clinical:clinicals) {
                    List<PD> timestamp = clinical.getTimestamp();
                    if(timestamp != null){
                        for (PD pd:timestamp) {
                            if(!CatalogueUtil.isEmpty(pd.getUnit())){
                                unitList.add(pd.getUnit());
                            }
                        }
                    }

                }
                if(unitList.contains("天")){
                    status = "0";
                }
            }
        }
    }
}