package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.AllergyFood;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 食物过敏史描述不完整
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0039 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status = "0";
        List<AllergyFood> allergyFoods = inputInfo.getBeHospitalizedDoc().getPastLabel().getAllergyFoods();
        if (ListUtil.isEmpty(allergyFoods)) {
            return;
        }
        for (AllergyFood allergyFood : allergyFoods) {
            if (allergyFood == null || StringUtil.isBlank(allergyFood.getName())) {
                continue;
            }
            if ((allergyFood.getPd() == null || StringUtil.isBlank(allergyFood.getPd().getName()))
                    && (allergyFood.getDegree() == null || StringUtil.isBlank(allergyFood.getDegree().getName()))) {
                info += allergyFood.getName() + " ";
            }
        }
        if (StringUtil.isNotBlank(info)) {
            status = "-1";
        }
    }

}