package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.AllergyMedicine;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 药物过敏史描述不完整
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0040 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status = "0";
        List<AllergyMedicine> allergyMedicines = inputInfo.getBeHospitalizedDoc().getPastLabel().getAllergyMedicines();
        if (ListUtil.isEmpty(allergyMedicines)) {
            return;
        }
        for (AllergyMedicine allergyMedicine : allergyMedicines) {
            if (allergyMedicine == null || StringUtil.isBlank(allergyMedicine.getName())) {
                continue;
            }
            if ((allergyMedicine.getPd() == null || StringUtil.isBlank(allergyMedicine.getPd().getName()))
                    && (allergyMedicine.getDegree() == null || StringUtil.isBlank(allergyMedicine.getDegree().getName()))) {
                info += allergyMedicine.getName() + " ";
            }
        }
        if (StringUtil.isNotBlank(info)) {
            status = "-1";
        }
    }

}