package com.lantone.qc.kernel.structure.ai.process;

import com.alibaba.fastjson.JSONObject;
import com.lantone.qc.kernel.structure.ai.model.EntityEnum;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.entity.Negative;
import com.lantone.qc.pub.model.entity.Possible;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class EntityProcessDiag extends EntityProcess {
    public List<Diag> extractEntity(JSONObject outputs) {
        List<Diag> diags = new ArrayList<>();
        List<Map<String, String>> diagEntityList = processJson(outputs, EntityEnum.DIEASE.toString());
        for (Map<String, String> diagEntityMap : diagEntityList) {
            if (StringUtils.isEmpty(diagEntityMap.get(EntityEnum.DIEASE.toString()))) {
                continue;
            }
            Diag diag = new Diag();
            for (String key : diagEntityMap.keySet()) {
                String value = StringUtils.isEmpty(diagEntityMap.get(key)) ? "" : diagEntityMap.get(key);
                switch (EntityEnum.parseOfValue(key)) {
                    case DIEASE:
                        diag.setName(value);
                        break;
                    case POSSIBLE:
                        Possible possible = new Possible();
                        possible.setName(value);
                        diag.setPossible(possible);
                        break;
                    case NEGATIVE:
                        Negative negative = new Negative();
                        negative.setName(value);
                        diag.setNegative(negative);
                }
            }
            diags.add(diag);
        }
        return diags;
    }
}
